<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="Nation">
	
	<resultMap id="nationMap" type="nationVO">
		<result property="naSeq" column="na_seq" />
		<result property="naName" column="na_name" />
		<result property="naEngName" column="na_eng_name" />
		<result property="naArea" column="na_area" />
		<result property="naOldArea" column="na_old_area" />
		<result property="naNisid" column="na_nisid" />
		<result property="naFlag" column="na_flag" />
		<result property="naInfo1" column="na_info1" />
		<result property="naInfo2" column="na_info2" />
		<result property="naInfo3" column="na_info3" />
		<result property="naInfo4" column="na_info4" />
		<result property="naInfo5" column="na_info5" />
		<result property="naInfo6" column="na_info6" />
		<result property="naInfo7" column="na_info7" />
		<result property="naData1" column="na_data1" />
		<result property="naData2" column="na_data2" />
		<result property="naData3" column="na_data3" />
		<result property="naData4" column="na_data4" />
		<result property="naData5" column="na_data5" />
		<result property="naData6" column="na_data6" />
		<result property="naData7" column="na_data7" />
		<result property="naData8" column="na_data8" />
		<result property="naData9" column="na_data9" />
		<result property="naData10" column="na_data10" />
		<result property="naData11" column="na_data11" />
		<result property="naData12" column="na_data12" />
		<result property="naData13" column="na_data13" />
		<result property="naData14" column="na_data14" />
		<result property="naData15" column="na_data15" />
		<result property="naData16" column="na_data16" />
		<result property="naData17" column="na_data17" />
		<result property="naData18" column="na_data18" />
		<result property="naData19" column="na_data19" />
		<result property="naData20" column="na_data20" />
		<result property="naData21" column="na_data21" />
		<result property="naData22" column="na_data22" />
	</resultMap>

	<select id="Nation.getNationInfo" parameterType="String" resultMap="nationMap">
	/* Nation.getNationInfo */
		SELECT	na_seq,
			na_name,
			na_eng_name,
			na_area,
			na_old_area,
			na_nisid,
			na_flag,
			na_info1,
			na_info2,
			na_info3,
			na_info4,
			na_info5,
			na_info6,
			na_info7,
			na_data1,
			na_data2,
			na_data3,
			na_data4,
			na_data5,
			na_data6,
			na_data7,
			na_data8,
			na_data9,
			na_data10,
			na_data11,
			na_data12,
			na_data13,
			na_data14,
			na_data15,
			na_data16,
			na_data17,
			na_data18,
			na_data19,
			na_data20,
			na_data21,
			na_data22
		FROM h2_nation
		WHERE	na_seq = #{naSeq}
	</select>
		
	<update id="Nation.updateNationInfo" parameterType="nationVO">
		/* Nation.getNationInfo */
		UPDATE	h2_nation
		SET	
			na_info1 = #{naInfo1},
			na_info2 = #{naInfo2},
			na_info3 = #{naInfo3},
			na_info4 = #{naInfo4},
			na_info5 = #{naInfo5},
			na_info6 = #{naInfo6},
			na_info7 = #{naInfo7},
			na_data1 = #{naData1},
			na_data2 = #{naData2},
			na_data3 = #{naData3},
			na_data4 = #{naData4},
			na_data5 = #{naData5},
			na_data6 = #{naData6},
			na_data7 = #{naData7},
			na_data8 = #{naData8},
			na_data9 = #{naData9},
			na_data10 = #{naData10},
			na_data11 = #{naData11},
			na_data12 = #{naData12},
			na_data13 = #{naData13},
			na_data14 = #{naData14},
			na_data15 = #{naData15},
			na_data16 = #{naData16},
			na_data17 = #{naData17},
			na_data18 = #{naData18},
			na_data19 = #{naData19},
			na_data20 = #{naData20},
			na_data21 = #{naData21},
			na_data22 = #{naData22}
		WHERE	na_seq = #{naSeq}
	</update>
	
</mapper>
